package com.yunzhi.shigongli.controller;

import com.yunzhi.shigongli.event.SendMessageTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/task")
public class TaskController {

    @Autowired
    SendMessageTask sendMessageTask;

    @GetMapping("/hello")
    public String hello() {
        return "Hello !";
    }

    @GetMapping("/hotel/check-out")
    public void hotelCheckOut() {
        try {
            sendMessageTask.hotelCheckOut();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
