package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 小程序消息模板
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMiniappMessageTpl对象", description="小程序消息模板")
public class TaMiniappMessageTpl implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private String serialNo;

    @ApiModelProperty(value = "消息类型")
    private String messageType;

    @ApiModelProperty(value = "模板ID")
    private String templateId;

    @ApiModelProperty(value = "页面地址")
    private String page;

}
