package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaRoomOrder;
import org.springframework.context.ApplicationEvent;

/**
 * 民宿入住事件
 */
public class HotelCheckInEvent extends ApplicationEvent {

    TaRoomOrder taRoomOrder;

    public HotelCheckInEvent(Object source, TaRoomOrder taRoomOrder) {
        super(source);
        this.taRoomOrder = taRoomOrder;
    }

    public TaRoomOrder getTaRoomOrder() {
        return taRoomOrder;
    }
}
