package com.yunzhi.shigongli.event.listener;

import com.yunzhi.shigongli.event.OpenShareEvent;
import com.yunzhi.shigongli.service.ITaShareOpenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class OpenShareEventListener implements ApplicationListener<OpenShareEvent> {

    @Autowired
    ITaShareOpenService iTaShareOpenService;

    @Override
    public void onApplicationEvent(OpenShareEvent event) {
        try {
            // 校验分享是否更新行程隐藏字段
            iTaShareOpenService.checkAndUpdateTravel(event.getTaShareOpen());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
