package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaNote;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 笔记 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaNoteMapper extends BaseMapper<TaNote> {

    IPage<TaNote> getPageBy(IPage<TaNote> pg, @Param("noteType") String noteType, @Param("summary") String summary);

    IPage<TaNote> getWxPageBy(IPage<TaNote> pg, @Param("personId") String personId, @Param("location") String location, @Param("summary") String summary);
}
