package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaTravelItem;
import com.yunzhi.shigongli.vo.TravelItemDataVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 行程地点表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaTravelItemMapper extends BaseMapper<TaTravelItem> {

    int copyTravelItems(@Param("srcId") String srcId, @Param("targId") String targId);

    List<TravelItemDataVO> getTravelItemDetails(@Param("travelId") String travelId);

    Integer getMaxNoOf(@Param("travelId") String travelId, @Param("dayOrder") Integer dayOrder);
}
