package com.yunzhi.shigongli.service;

import com.yunzhi.shigongli.entity.TaTravel;
import com.yunzhi.shigongli.entity.TaTravelPerson;
import com.yunzhi.shigongli.vo.TravelDataVO;


/**
 * <p>
 * 我的行程 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaTravelPersonService extends IBaseService<TaTravelPerson> {

    TaTravel getAndCopyDestinyTravel(String personId) throws Exception;

    TaTravelPerson getByPerson(String personId, String travelId);

    TravelDataVO getDestinyTravel(String personId);
}
