package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaTravel;
import com.yunzhi.shigongli.vo.TravelDataVO;
import com.yunzhi.shigongli.vo.TravelListVO;

import java.time.LocalDateTime;
import java.util.List;


/**
 * <p>
 * 行程表 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaTravelService extends IBaseService<TaTravel> {

    TravelDataVO getPersonSingleTravel(String personId, String travelId);

    IPage<TravelDataVO> getPersonAllList(IPage<TravelDataVO> pg, String personId, Boolean simple);

    IPage<TravelListVO> getAdminList(IPage<TravelListVO> pg, String phone, LocalDateTime startDate, LocalDateTime endDate);

    IPage<TaTravel> getAdminDestinyList(IPage<TaTravel> pg, String title, Integer status);
}
