package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaNoteResource;
import com.yunzhi.shigongli.entity.TaResource;
import com.yunzhi.shigongli.vo.ResourceListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 笔记资源 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaNoteResourceMapper extends BaseMapper<TaNoteResource> {

    List<ResourceListVO> getResourceListBy(@Param("noteId") String noteId, @Param("personId") String personId);
}
