package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.entity.TaMpSetting;
import com.yunzhi.shigongli.mapper.TaMpSettingMapper;
import com.yunzhi.shigongli.service.ITaMpSettingService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 公众号配置 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaMpSettingServiceImpl extends BaseServiceImpl<TaMpSettingMapper, TaMpSetting> implements ITaMpSettingService {

    @Override
    public TaMpSetting getKFPoster(String appid) {
        LambdaQueryWrapper<TaMpSetting> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaMpSetting::getAppid, appid);
        queryWrapper.eq(TaMpSetting::getSettingCode, Constants.MP_SETTING_MINIAPP_POSTER);

        return getOne(queryWrapper);
    }
}
