package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaNote;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.mapper.TaNoteMapper;
import com.yunzhi.shigongli.service.ITaNoteService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 笔记 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaNoteServiceImpl extends BaseServiceImpl<TaNoteMapper, TaNote> implements ITaNoteService {

    @Override
    public IPage<TaNote> getPageBy(IPage<TaNote> pg, String noteType, String summary) {
        return baseMapper.getPageBy(pg, noteType, summary);
    }

    @Override
    public IPage<TaNote> getWxPageBy(IPage<TaNote> pg, TaPerson taPerson, String location, String summary) {
        return baseMapper.getWxPageBy(pg, taPerson.getPersonId(), location, summary);
    }
}
