package com.yunzhi.shigongli.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value="TravelItemDataVO", description="行程地点")
@Data
public class TravelItemDataVO {
    @ApiModelProperty(value = "项目地点ID")
    private String itemId;

    @ApiModelProperty(value = "第几天")
    private Integer dayOrder;

    @ApiModelProperty(value = "对象类型")
    private String targetType;

    @ApiModelProperty(value = "对象ID")
    private String targetId;

    @ApiModelProperty(value = "权重")
    private Integer sortNo;

    @ApiModelProperty(value = "resourceNo")
    private Integer resourceNo;

    @ApiModelProperty(value = "访问对象ID")
    private String targetName;

    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    @ApiModelProperty(value = "浏览量")
    private Integer pvNum;

    @ApiModelProperty(value = "用户数")
    private Integer uvNum;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "文案")
    private String title;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "均价")
    private Integer averagePrice;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "所属区")
    private String cityId;

    @ApiModelProperty(value = "区位ID")
    private String areaId;

    @ApiModelProperty(value = "区位名称")
    private String areaName;

    @ApiModelProperty(value = "区位父级名称")
    private String areaPName;
}
